LibreOffice: XLoaderFactory Interface Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | List of all members
XLoaderFactory Interface Referencepublished

Unified service interface for FrameLoaderFactory and ContentHandlerFactory. More...

`import"XLoaderFactory.idl";`

Inheritance diagram for XLoaderFactory:

## Exported Interfaces
interface | com::sun::star::lang::XMultiServiceFactory
| interface to create loader objects by using his internal name More...
interface | com::sun::star::container::XNameAccess
| provides access to the whole frame loader configuration More...
interface | com::sun::star::container::XContainerQuery
| supports query mode for configuration access More...

## Additional Inherited Members
Public Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance. More...
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XContainerQuery
XEnumeration | createSubSetEnumerationByQuery ([in] string Query)
| creates a sub set of container items which match given query command More...
XEnumeration | createSubSetEnumerationByProperties ([in] sequence< com::sun::star::beans::NamedValue > Properties)
| creates a sub set of container items which supports searched properties as minimum More...

## Detailed Description

Unified service interface for FrameLoaderFactory and ContentHandlerFactory.

Since
  LibreOffice 4.2

## Exported Interfaces

## ◆ com::sun::star::container::XContainerQuery

interface com::sun::star::container::XContainerQuery

supports query mode for configuration access

This interface can be used to get sub sets of current configuration entries which represent given search parameters.

## ◆ com::sun::star::container::XNameAccess

interface com::sun::star::container::XNameAccess

provides access to the whole frame loader configuration

This interface supports an access to the internal configuration of all accessible loader objects. The return value of com::sun::star::container::XNameAccess::getByName() is a property sequence packed in an any.

Types | [string] | file types which loader is registered for
UIName | [string] | UI representable and localized name

## ◆ com::sun::star::lang::XMultiServiceFactory

interface com::sun::star::lang::XMultiServiceFactory

interface to create loader objects by using his internal name

Returned objects must support the service specification of a FrameLoader or SynchronousFrameLoader. (Note: last one will be preferred if both are available) They can be created by using of his internal name, which must be unambiguous every time, only. To get this name use further specified interfaces of this factory for access on the flat configuration.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XLoaderFactory.idl